Subject: bug#28270: 26.0.50; vc-follow-symlinks doesn't work after commit e8001d4c27 "Do not munge contents of local symbolic links"

From: Glenn Morris <[email-masked]>
Date: Tue, 29 Aug 2017 13:07:14 -0400

"Diego A. Mundo" wrote:

> Using (setq vc-follow-symlinks t) after emacs -q no longer seems to
> have any effect after commit e8001d4c27 "Do not munge contents of
> local symbolic links". That is, using this setting, I expect visiting
> a symlink to a version controlled file to take me to the directory of
> the original file (which was the previous behavior), but now instead
> of that I am kept in the symlink directory.

I can't reproduce this in 01832ec. Maybe it was fixed by recent changes?

Tested with

cd /tmp
ln -s /path/to/emacs/git/master/README
/path/to/emacs/git/master/src/emacs -Q --eval '(setq vc-follow-symlinks t)' README